/**
 * 集中器管理接口
 */
import request from '@/utils/request'
import qs from 'qs'
// 集中器查询
export function getConcenList(params) {
  return request({
    url: 'concentrator/list',
    method: 'get',
    params
  })
}

// 添加集中器
export function addConcen(params) {
  return request({
    url: 'concentrator/add',
    method: 'post',
    params
  })
}
// 修改集中器
export function updateConcen(params) {
  return request({
    url: 'concentrator/update',
    method: 'post',
    params
  })
}
// 删除集中器
export function delConcen(ids) {
  return request({
    url: 'concentrator/delete',
    method: 'post',
    params: {
      ids: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}// 批量导入
export function batchImportConcen(fileobj) {
  const param = new FormData()
  param.append('file', fileobj)
  return request({
    url: 'concentrator/batchImport',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
// 批量导出
export function batchExportConcen(params) {
  return request({
    url: 'concentrator/batchExport',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 在线状态
export function getStatusType(params) {
  return request({
    url: 'dict/code/onlineStatus',
    method: 'get',
    params
  })
}

